### Method

# EDataServer Flag wait_until

since: 3.8

#### Declaration [src]

    gboolean
    e_flag_wait_until (
      EFlag* flag,
      gint64 end_time
    )

#### Description [src]

Blocks until `flag` is set, or until the time specified by `end_time`. If `flag` is already set, the function returns immediately. The return value indicates the state of `flag` after waiting.

To easily calculate `end_time`, a combination of `g_get_monotonic_time()` and G_TIME_SPAN_SECOND macro.

Available since: 3.8

This method is not directly available to language bindings.

#### Parameters

`end_time`

  Type: `gint64`

  The monotonic time to wait until.

#### Return value

Type: `gboolean`

`TRUE` if `flag` is now set.